Subject: bug#51535: closed (Re: bug#51535: [core-updates-frozen] --dry-run option stopped working)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 Nov 2021 23:47:03 +0000

Your bug report

#51535: [core-updates-frozen] --dry-run option stopped working

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51535: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51535
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51535: [core-updates-frozen] --dry-run option stopped working
From: Ludovic Courtès <[email-masked]>
To: John Kehayias <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Nov 2021 00:46:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi John,

John Kehayias <[email-masked]> skribis:

> On a fresh pull of core-updates-frozen it seems the --dry-run option has stopped doing anything.
>
> My test case is guix build --dry-run qtwebkit (no subs currently), but guix immediately starts compiling qtwebkit. I can't be sure when it started, but my most recent pull was from a41f93c39d03143ce9007ad278a04fa30498bc0b to 	7e8e07033d2a6b0ecef566a05084c534c774cd4a It may have started before that though.

Indeed.  I discovered it independently and filed a different bug, now fixed:

  https://issues.guix.gnu.org/51732

Thanks!

Ludo’.

Subject: [core-updates-frozen] --dry-run option stopped working
From: John Kehayias <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 01 Nov 2021 01:59:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On a fresh pull of core-updates-frozen it seems the --dry-run option has stopped doing anything.

My test case is guix build --dry-run qtwebkit (no subs currently), but guix immediately starts compiling qtwebkit. I can't be sure when it started, but my most recent pull was from a41f93c39d03143ce9007ad278a04fa30498bc0b to 	7e8e07033d2a6b0ecef566a05084c534c774cd4a It may have started before that though.